import { IGroup } from '@mcph/miix-std/dist/internal';
import { ICodeState } from '../../redux/code';
import { ICall, Source } from './source';
/**
 * GroupSource is a source for the participant groups.
 */
export declare class GroupSource extends Source<IGroup[]> {
    private updater;
    /**
     * @override
     */
    compare(previous: IGroup[], next: IGroup[]): ICall[];
    /**
     * @override
     */
    protected sourceProp(): keyof ICodeState;
    /**
     * @override
     */
    protected createPacket(source: IGroup[]): ICall[];
}
